/*
 * FileProject.java
 *
 * This file is part of JIF.
 *
 * Jif is substantially an editor entirely written in java that allows the
 * file management for the creation of text-adventures based on Graham
 * Nelson's Inform standard [a programming language for Interactive Fiction].
 * With Jif, it's possible to edit, compile and run a Text Adventure in
 * Inform format.
 *
 * Copyright (C) 2004-2005  Alessandro Schillaci
 *
 * WeB   : http://www.slade.altervista.org/JIF/
 * e-m@il: silver.slade@tiscalinet.it
 *
 * Jif is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Jif; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

/**
 * Class for the project files list
 * @author Alessandro Schillaci
 */

    public class FileProject{
        /**
         * File name, without complete path
         */
        public String name;
        /**
         * File name, with complete path
         */
        public String path; 
        /**
         * Creates a new FileProject object
         * @param absPath Absolute path of the file
         */
        public FileProject(String absPath){
            path = absPath;
            name = absPath.substring(absPath.lastIndexOf(Constants.SEP)+1 ,  absPath.length());

        }

        /**
         * This method is for the list of the project files
         * @return Returns the name of the FileProject
         */
        public String toString() {
            //return subpath;
            return name;
        }

    }


